org.apache.hc.core5.testing.classic

## Class ClassicTestServer

- java.lang.Object
- - org.apache.hc.core5.testing.classic.ClassicTestServer

-     public class ClassicTestServer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicTestServer()`
    `ClassicTestServer(SocketConfig socketConfig)`
    `ClassicTestServer(SSLContext sslContext, SocketConfig socketConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Decorator<HttpServerRequestHandler> handlerDecorator)`
    `void` | `configure(Http1Config http1Config)`
    `void` | `configure(HttpProcessor httpProcessor)`
    `InetAddress` | `getInetAddress()`
    `int` | `getPort()`
    `void` | `register(String uriPattern, HttpRequestHandler handler)`
    `void` | `register(String hostname, String uriPattern, HttpRequestHandler handler)`
    `void` | `registerHandler(String pattern, HttpRequestHandler handler)` Deprecated. Use `register(String, HttpRequestHandler)`.
    `void` | `registerHandlerVirtual(String hostname, String pattern, HttpRequestHandler handler)` Deprecated. Use `register(String, String, HttpRequestHandler)`.
    `void` | `shutdown(CloseMode closeMode)`
    `void` | `start()`
    `void` | `start(Http1Config http1Config, HttpProcessor httpProcessor, Decorator<HttpServerRequestHandler> handlerDecorator)` Deprecated. Use `configure(Http1Config)`, `configure(HttpProcessor)`, `configure(Decorator)`, `start()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicTestServer

          public ClassicTestServer(SSLContext sslContext,
                                   SocketConfig socketConfig)

    - #### ClassicTestServer

          public ClassicTestServer(SocketConfig socketConfig)

    - #### ClassicTestServer

          public ClassicTestServer()

  - ### Method Detail

    - #### registerHandler

          @Deprecated
          public void registerHandler(String pattern,
                                                  HttpRequestHandler handler)

      Deprecated. Use `register(String, HttpRequestHandler)`.

    - #### registerHandlerVirtual

          @Deprecated
          public void registerHandlerVirtual(String hostname,
                                                         String pattern,
                                                         HttpRequestHandler handler)

      Deprecated. Use `register(String, String, HttpRequestHandler)`.

    - #### register

          public void register(String uriPattern,
                               HttpRequestHandler handler)

      Since:
        5.3

    - #### register

          public void register(String hostname,
                               String uriPattern,
                               HttpRequestHandler handler)

      Since:
        5.3

    - #### configure

          public void configure(Http1Config http1Config)

      Since:
        5.3

    - #### configure

          public void configure(HttpProcessor httpProcessor)

      Since:
        5.3

    - #### configure

          public void configure(Decorator<HttpServerRequestHandler> handlerDecorator)

      Since:
        5.3

    - #### getPort

          public int getPort()

    - #### getInetAddress

          public InetAddress getInetAddress()

    - #### start

          @Deprecated
          public void start(Http1Config http1Config,
                                        HttpProcessor httpProcessor,
                                        Decorator<HttpServerRequestHandler> handlerDecorator)
                                 throws IOException

      Deprecated. Use `configure(Http1Config)`, `configure(HttpProcessor)`, `configure(Decorator)`, `start()`.
      Throws:
        `IOException`

    - #### start

          public void start()
                     throws IOException

      Throws:
        `IOException`

    - #### shutdown

          public void shutdown(CloseMode closeMode)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.